package com.njcn.harmonic.service.upload;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.harmonic.pojo.param.upload.PmsTemProcessTrackParam;
import com.njcn.harmonic.pojo.po.upload.PmsTemProcessTrackPO;


import java.util.List;

/**
 * <p>
 * 电能质量全过程跟踪数据 服务类
 * </p>
 *
 * @author cdf
 * @since 2024-10-09
 */
public interface IPmsTemProcessTrackService extends IService<PmsTemProcessTrackPO> {


    Boolean addTemProcessTrack(PmsTemProcessTrackParam param);



    Boolean updateTemProcessTrack(PmsTemProcessTrackParam.UpdatePmsTemProcessTrackParam updateTemProcessTrackParam);


    Boolean delTemProcessTrack(List<String> ids);



    Page<PmsTemProcessTrackPO> pageList(PmsTemProcessTrackParam.QueryPmsTemProcessTrackParam param);


    PmsTemProcessTrackPO getById(PmsTemProcessTrackParam.QueryPmsTemProcessTrackParam param);


    Boolean upGw(List<String> ids);
    
}
